Bug 698533 - [abrt] gnome-settings-daemon-3.0.0.1-1.fc15: g_atomic_int_exchange_and_add: Process /usr/libexec/gnome-settings-daemon was killed by signal 11 (SIGSEGV)
Summary: [abrt] gnome-settings-daemon-3.0.0.1-1.fc15: g_atomic_int_exchange_and_add: P...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:b76bd6a8e524b8b79dffc4fdf75...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-21 07:20 UTC by Matthias Runge
Modified: 2011-05-09 03:58 UTC (History)
4 users (show)

Fixed In Version: gnome-settings-daemon-3.0.1-4.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-09 03:58:59 UTC
Type: ---


Attachments (Terms of Use)
File: maps (47.03 KB, text/plain)
2011-04-21 07:21 UTC, Matthias Runge
no flags Details
File: event_log (16.58 KB, text/plain)
2011-04-21 07:21 UTC, Matthias Runge
no flags Details
File: dsos (35.96 KB, text/plain)
2011-04-21 07:21 UTC, Matthias Runge
no flags Details
File: backtrace (22.07 KB, text/plain)
2011-04-21 07:22 UTC, Matthias Runge
no flags Details
gnome-settings-daemon messages debug output (46.22 KB, text/plain)
2011-05-02 17:20 UTC, d. johnson
no flags Details

Description Matthias Runge 2011-04-21 07:20:59 UTC
abrt version: 2.0.1
comment: Start fully updated system, log in into xfce
architecture: x86_64
executable: /usr/libexec/gnome-settings-daemon
component: gnome-settings-daemon
cmdline: /usr/libexec/gnome-settings-daemon
kernel: 2.6.38.2-9.fc15.x86_64
crash_function: g_atomic_int_exchange_and_add
package: gnome-settings-daemon-3.0.0.1-1.fc15
reason: Process /usr/libexec/gnome-settings-daemon was killed by signal 11 (SIGSEGV)
uid: 500
username: mrunge
rating: 4
time: 1303367865
os_release: Fedora release 15 (Lovelock)

Text file: maps, 48154 bytes
Text file: event_log, 16978 bytes
Binary file: coredump, 37773312 bytes
Text file: dsos, 36821 bytes
Text file: backtrace, 22598 bytes

environ
-----
XDG_SESSION_ID=1
SSH_AGENT_PID=2446
HOSTNAME=mrungexp.w2kroot.uni-oldenburg.de
IMSETTINGS_INTEGRATE_DESKTOP=yes
GPG_AGENT_INFO=/tmp/keyring-mfAgfc/gpg:0:1
GLADE_PIXMAP_PATH=:
XDG_MENU_PREFIX=xfce-
TERM=dumb
SHELL=/bin/bash
HISTSIZE=1000
XDG_SESSION_COOKIE=12efef2da3aeaff5183098fc00000008-1303367861.91476-986435194
GNOME_KEYRING_CONTROL=/tmp/keyring-mfAgfc
IMSETTINGS_MODULE=none
USER=mrunge
GLADE_MODULE_PATH=:
SSH_AUTH_SOCK=/tmp/keyring-mfAgfc/ssh
USERNAME=mrunge
XDG_CONFIG_DIRS=/etc/xdg
MAIL=/var/spool/mail/mrunge
DESKTOP_SESSION=xfce
PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/mrunge/bin
QT_IM_MODULE=xim
PWD=/home/mrunge
XMODIFIERS=@im=none
LANG=en_IE.UTF-8
GNOME_KEYRING_PID=2369
GDM_LANG=
GDMSESSION=xfce
SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
HISTCONTROL=ignoredups
SHLVL=2
HOME=/home/mrunge
GTK_PATH=:/usr/lib64/gtk-2.0
LOGNAME=mrunge
CVS_RSH=ssh
DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-cY3xkjYyM0,guid=b33cb0414d1854ca0f5901d400000035
XDG_DATA_DIRS=/usr/local/share:/usr/share
'LESSOPEN=||/usr/bin/lesspipe.sh %s'
WINDOWPATH=1
XDG_RUNTIME_DIR=/run/user/mrunge
GLADE_CATALOG_PATH=:
LIBGLADE_MODULE_PATH=:
G_BROKEN_FILENAMES=1
XAUTHORITY=/var/run/gdm/auth-for-mrunge-ddV0j3/database
_=/usr/bin/xfce4-session
SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2480,unix/unix:/tmp/.ICE-unix/2480,inet6/mrungexp.w2kroot.uni-oldenburg.de:58223,inet/mrungexp.w2kroot.uni-oldenburg.de:33843
ORBIT_SOCKETDIR=/tmp/orbit-mrunge
DISPLAY=:0.0

Comment 1 Matthias Runge 2011-04-21 07:21:54 UTC
Created attachment 493720 [details]
File: maps

Comment 2 Matthias Runge 2011-04-21 07:21:56 UTC
Created attachment 493722 [details]
File: event_log

Comment 3 Matthias Runge 2011-04-21 07:21:59 UTC
Created attachment 493723 [details]
File: dsos

Comment 4 Matthias Runge 2011-04-21 07:22:02 UTC
Created attachment 493724 [details]
File: backtrace

Comment 5 Matthias Runge 2011-04-29 07:55:52 UTC
Package: gnome-settings-daemon-3.0.1-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)


Comment
-----
Freshly updated system, freshly booted and logged in into xfce.

Comment 6 Matthias Runge 2011-04-29 08:14:42 UTC
Interesting, nobody else stumbled upon this. I'm asking myself, what's different here (compared to other systems)

Comment 7 d. johnson 2011-05-02 15:23:30 UTC
Happens here too.  F15b updated.

Comment 8 Matthias Clasen 2011-05-02 16:43:19 UTC
Can you reproduce this in your running session, by running

while true; killall gnome-settings-daemon; done

until g-s-d is gone for good, and then running

/usr/libexec/gnome-settings-daemon ?

If yes, could you do so with G_DBUS_DEBUG=message set ?

Comment 9 d. johnson 2011-05-02 17:20:24 UTC
Created attachment 496312 [details]
gnome-settings-daemon messages debug output

script output from 'export G_DBUS_DEBUG=message; /usr/libexec/gnome-settings-daemon'

Comment 10 Matthias Clasen 2011-05-02 18:01:18 UTC
oh, that explains it. I had missed the fact that you are running under xfce, so there is no gnome-session.

Why is gnome-settings-daemon getting started in xfce ?

Comment 11 Matthias Clasen 2011-05-02 18:41:07 UTC
When this build is done:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3045517


can you check if it fixes the crash for you ?

Comment 12 Matthias Runge 2011-05-02 18:47:56 UTC
I checked the box "Launch GNOME services at startup". I'm not sure, if this produces the error; it keeps me from (re-)typing my ssh-password again and again...

I'll try your build and report back.

Comment 13 Matthias Runge 2011-05-02 19:29:59 UTC
gnome-settings-daemon-3.0.1-3.fc15.i686 fixed this issue for me.
Thank you.

Comment 14 Fedora Update System 2011-05-02 21:27:32 UTC
gnome-settings-daemon-3.0.1-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gnome-settings-daemon-3.0.1-4.fc15

Comment 15 Fedora Update System 2011-05-03 04:28:43 UTC
Package gnome-settings-daemon-3.0.1-4.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-settings-daemon-3.0.1-4.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/gnome-settings-daemon-3.0.1-4.fc15
then log in and leave karma (feedback).

Comment 16 d. johnson 2011-05-06 21:52:19 UTC
gnome-settings-daemon-3.0.1-4.fc15.x86_64 resolves this for me.

Comment 17 Fedora Update System 2011-05-09 03:58:54 UTC
gnome-settings-daemon-3.0.1-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.